pro get_latlon_box,north_lat,south_lat,west_lon,east_lon
common block,nlat,slat,wlon,elon

init_nlat = north_lat
init_slat = south_lat
init_wlon = west_lon
init_elon = east_lon

;  create a GUI base

base = WIDGET_BASE(/COLUMN)

;  create the label and text fields

prompt = "Specify lat/lon bounding values for area of interest"
label = WIDGET_LABEL(base,VALUE=prompt,/ALIGN_CENTER,UNAME="label")

topbase = WIDGET_BASE(base,/ROW,/ALIGN_CENTER)
nlattext = CW_FIELD(topbase,TITLE="Northmost latitude:",VALUE=north_lat,$
            /FLOAT,UNAME="nlat")

midbase = WIDGET_BASE(base,/ROW)
wlontext = CW_FIELD(midbase,TITLE="Westmost longitude:",VALUE=west_lon,$
            /FLOAT,UNAME="wlon")
elontext = CW_FIELD(midbase,TITLE="Eastmost longitude:",VALUE=east_lon,$
            /FLOAT,UNAME="elon")

bottombase = WIDGET_BASE(base,/ROW,/ALIGN_CENTER)
slattext = CW_FIELD(bottombase,TITLE="Southmost latitude:",VALUE=south_lat,$
            /FLOAT,UNAME="slat")

;  create  DONE and RESET buttons
 bbase = WIDGET_BASE(base,/ROW,/ALIGN_CENTER)
 reset = WIDGET_BUTTON(bbase,value="RESET",UVALUE="reset",UNAME="reset")
 done = WIDGET_BUTTON(bbase,value="DONE",UVALUE="done",UNAME="done")

 WIDGET_CONTROL,base,/REALIZE
 WIDGET_CONTROL,base,SET_UVALUE=[nlattext,slattext,wlontext,elontext,$
   init_nlat,init_slat,init_wlon,init_elon]

 XMANAGER,'get_latlon_box',base
 north_lat = nlat
 south_lat = slat
 west_lon = wlon
 east_lon = elon

end