pro refractinfo_60d,refrd
refrd = {REFRACT_INFO_60D,$
        Alt:             dblarr(603),$      ;Table of tangent heights(km)
        Sun_Apparent:    dblarr(603,7),$    ;Angle to the apparent (refracted)
                                            ;position of the sun
        Sun_Actual:      dblarr(603,7),$    ;Angle to the actual (unrefracted)
                                            ;position of the sun
        Wavelength:      fltarr(7),$        ;Wavelengths of the channels (nm)
        Junk:            0.,$               ;Spare
        Refractiveindex: dblarr(603,7),$    ;Index of refraction at the 
                                            ;tangent height
        Delta:           dblarr(603,7),$    ;Raybend angle (difference between
                                            ;DSA and DSun)
        Airmass:         dblarr(603),$      ;Number density along the slant
                                            ;path (in molec. / cm^2)
        Start_Index:     0L,$               ;Start of the good part of 
                                            ;the array
        arraylength:     0L }               ;Length of the good part of the 
                                            ;array
return
end
